- Qt 5.15
- Qt 3D
- C++ Classes
- QPickLineEvent
- Qt 5.15.18 Reference Documentation

# QPickLineEvent Class

class Qt3DRender::QPickLineEvent

The QPickLineEvent class holds information when a segment of a line is picked. More...

Header: | #include <QPickLineEvent>
qmake: | QT += 3drender
Since: | Qt 5.10
Instantiated By: | PickLineEvent
Inherits: | Qt3DRender::QPickEvent

This class was introduced in Qt 5.10.

- List of all members, including inherited members

## Properties

- edgeIndex : const uint
- vertex1Index : const uint
- vertex2Index : const uint

## Public Functions

| QPickLineEvent()
uint | edgeIndex() const
uint | vertex1Index() const
uint | vertex2Index() const

## Detailed Description

See also QPickEvent.

## Property Documentation

### edgeIndex : const uint

Specifies the index of the edge that was picked

Access functions:

uint | edgeIndex() const

### vertex1Index : const uint

Specifies the index of the first point of the picked edge

Access functions:

uint | vertex1Index() const

### vertex2Index : const uint

Specifies the index of the second point of the picked edge

Access functions:

uint | vertex2Index() const

## Member Function Documentation

### QPickLineEvent::QPickLineEvent()

Constructs a new QPickEvent.

### uint QPickLineEvent::edgeIndex() const

QPickLineEvent::edgeIndex Returns the index of the picked edge

Note: Getter function for property edgeIndex.

### uint QPickLineEvent::vertex1Index() const

QPickLineEvent::vertex1Index Returns the index of the first point of the picked edge

Note: Getter function for property vertex1Index.

### uint QPickLineEvent::vertex2Index() const

QPickLineEvent::vertex2Index Returns the index of the second point of the picked triangle

Note: Getter function for property vertex2Index.